### Method

# Gtk.TreeView.enable_model_drag_source

#### Declaration [src]

    void
    gtk_tree_view_enable_model_drag_source (
      GtkTreeView* tree_view,
      GdkModifierType start_button_mask,
      GdkContentFormats* formats,
      GdkDragAction actions
    )

#### Description [src]

Turns `tree_view` into a drag source for automatic DND. Calling this method sets `GtkTreeView:reorderable` to `FALSE`.

#### Parameters

`start_button_mask` | `GdkModifierType`
| Mask of allowed buttons to start drag
`formats` | `GdkContentFormats*`
| the target formats that the drag will support
| Ownership is not transferred to the callee
`actions` | `GdkDragAction`
| the bitmask of possible actions for a drag from this widget